﻿



<script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBIwzALxUPNbatRBj3Xi1Uhp0fFzwWNBkE&callback=initMap&libraries=&v=weekly&sensor=false"
        defer></script>
<div class="wrapper">
    <main class="main">
        <div class="container">
            <div class="my-account">
                <div class="account-left">
                    <div class="b-avatar">
                        <div class="f-name">{{Ho}}{{Ten}}</div>
                        <div class="f-fullname">{{authentication.fullName}}</div>
                    </div>
                    <div class="b-menu">
                        <ul>
                            <li ng-click="changeMenu('info')" ng-class="{active: thongtintaikhoan}"><a title="Thông tin tài khoản" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-myaccount-white.svg" alt=""> Thông tin tài khoản</a></li>
                            <li ng-click="changeMenu('orders_history')" ng-class="{active: lichsu}" class=""><a title="Lịch sử đơn hàng" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-history-white.svg" alt=""> Lịch sử đơn hàng</a></li>
                            <li class="" style="display: none;"><a title="Lịch sử Lpoint" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-history-lpoint-white.svg" alt=""> Lịch sử Lpoint</a></li>
                            <li ng-click="changeMenu('wishlist')" class=""><a title="Thực đơn của tôi" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-save-white.svg" alt=""> Thực đơn của tôi</a></li>
                            <li ng-click="changeMenu('notice')" class=""><a title="Thông báo" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-notification-white.svg" alt=""> Thông báo</a></li>
                            <li ng-click="changeMenu('support')" class=""><a title="Hỏi &amp; Đáp" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-qna-white.svg" alt=""> Hỏi &amp; Đáp</a></li>
                            <li ng-click="changeMenu('change_password')" ng-class="{active: doimatkhau}" class=""><a title="Thay đổi mật khẩu" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-lock-white.svg" alt=""> Thay đổi mật khẩu</a></li>
                            <li ng-click="changeMenu('delete_account')" class=""><a title="Thu hồi tài khoản" href=""><img src="https://www.lotteria.vn/grs-static/images/icon-user-remove-white.svg" alt=""> Thu hồi tài khoản</a></li>
                        </ul>
                    </div>
                </div>
                <!--Thay đổi mật khẩu-->
                <div class="account-right" ng-show="doimatkhau">
                    <button class="f-back"></button>
                    <h2 class="head-title">Thay đổi mật khẩu</h2>
                    <div class="account-content acc-info-change-password">
                        <form ng-submit="update()">
                            <div class="form-group">
                                <label class="col-form-label">Mật khẩu cũ</label>
                                <div class="col-input">
                                    <input type="password" autocomplete="new-password" ng-model="ChangePassword.OldPassword" class="form-control" placeholder="Nhập mật khẩu cũ" name="old_password" value="">
                                    <p style="color:#ff0000">{{confirmpass}}</p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-form-label">Nhập mật khẩu mới</label>
                                <div class="col-input">
                                    <input type="password" autocomplete="new-password" ng-model="ChangePassword.NewPassword" class="form-control" placeholder="Nhập mật khẩu mới" name="password" value="">
                                    <p style="color:#ff0000"></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-form-label">Nhập lại mật khẩu</label>
                                <div class="col-input">
                                    <input type="password" class="form-control" ng-model="ChangePassword.ConfirmPassword" placeholder="Nhập lại mật khẩu" name="confirm" value="">
                                    <p style="color:#ff0000">{{confirmNewpass}}</p>
                                </div>
                            </div>
                            <div class="form-action">
                                <p class="invalid text-center" style="display: none;"></p>
                                <button class="btn " style="background:#ffd800!important" type="submit" variant="" title="Lưu lại">Lưu lại</button>
                            </div>
                        </form>
                    </div>
                </div>
                <!--Thay đổi mật khẩu-->
                <!--thông tin người dùng-->
                <div class="account-right" ng-show="thongtintaikhoan">
                    <button class="f-back"></button>
                    <h2 class="head-title">Thông tin tài khoản</h2>
                    <div class="account-content acc-info" ng-show="viewInfo">
                        <div class="g-infomation">
                            <div class="row">
                                <div class="col-xl-6 item"><label>Họ và tên</label><span>{{ThongtinUser.FullName}}</span></div>
                                <div class="col-xl-6 item"><label>Số điện thoại</label><span>{{ThongtinUser.PhoneNumber}}</span></div>
                                <div class="col-xl-6 item"><label>Email</label><span>{{ThongtinUser.Email}}</span></div>
                                <div class="col-xl-6 item"><label>Địa chỉ</label><span>{{ThongtinUser.Address}}</span></div>
                            </div>
                            <br />
                            <p class="text-center"><a class="btn " style="background:#ffd800!important" ng-click="changeMenu('Editinfo')">Sửa thông tin</a></p>
                        </div>
                    </div>

                    <div class="account-content acc-info-edit" ng-show="EditInfo">
                        <form class="form-horizontal" data-toggle="validator" name="formtest" role="form" ng-submit="updateUser()">
                            <div class="form-group">
                                <label class="col-form-label">Họ tên</label>
                                <div class="col-input">
                                    <input autocomplete="given-name" class="form-control" placeholder="Họ tên" name="fullname" ng-model="ThongtinUser.FullName">
                                    <p class="valid-feedback"></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-form-label">Email</label>
                                <div class="col-input">
                                    <input autocomplete="email" disabled="" class="form-control" placeholder="Vui lòng nhập email của bạn" name="email" ng-model="ThongtinUser.Email">
                                    <p class="valid-feedback"></p>
                                </div>
                            </div>
                            <!--<div class="form-group">
                                <label class="col-form-label">Số điện thoại</label>
                                <div class="col-input code-tel">
                                    <input autocomplete="phone" id="phone" class="form-control" placeholder="Nhập số điện thoại của bạn" name="phone_number" value="0528095296">
                                    <p class="valid-feedback"></p>
                                    <button class="code" type="button"> Gửi mã</button>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-form-label">Mã xác thực</label>
                                <div class="col-input verification-code verification-code">
                                    <input class="form-control" placeholder="Nhập mã xác thực gửi tới số điện thoại trên" name="otp" value="">
                                    <p class="valid-feedback"></p>
                                    <span class="valid-icon" style="display: none;"></span><span class="invalid-icon" style="display: none;"></span>
                                </div>
                            </div>-->
                            <input id="recaptcha-container" type="button" class="d-none">
                            <div class="form-group"><label class="no-margin" style="color:#000000;font-weight:bold;">Địa chỉ giao hàng mặc định</label></div>
                            <div class="form-group">
                                <label class="col-form-label">Địa chỉ</label>
                                <div class="col-input">
                                    <input required ng-model="ThongtinUser.Address" id="street" class="form-control" placeholder="Nhập địa chỉ của bạn" name="street">
                                    <p class="valid-feedback"></p>
                                </div>
                            </div>
                            <!--<div class="form-groups">
                                <div class="form-group">
                                    <label for="cities" class="col-form-label">Tỉnh</label>
                                    <div class="col-input">
                                        <select required ng-change="getquanhuyen(Tinh)" ng-model="Tinh" ng-options="item as item.name for item in AllTinhThanh" class="form-control" id="cities" field="city">
                                            <option disabled value="Chọn Tỉnh">Xem tất cả</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="districts" class="col-form-label">Thành phố</label>
                                    <div class="col-input">
                                        <select required ng-change="getphuongxa(ThanhPho)" ng-model="ThanhPho" ng-options="item as item.name for item in Allquanhuyen" class="form-control" id="cities" field="city">
                                            <option disabled value="Chọn Thành Phố">Xem tất cả</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="wards" class="col-form-label">Phường</label>
                                    <div class="col-input">
                                        <select required ng-model="Phuongxa" ng-options="item as item.name for item in Allphuongxa" class="form-control" id="cities" field="city">
                                            <option disabled value="Chọn Phường,xã">Xem tất cả</option>
                                        </select>
                                    </div>
                                </div>
                            </div>-->
                            <div class="form-action"><button class="btn " style="background:#ffd800!important" type="submit" variant="" title="Lưu thông tin">Lưu thông tin</button></div>
                            <div class="invalid text-center" style="display: none;"></div>
                        </form>
                    </div>




                </div>
                <!--Thông tin người dùng-->
                <!--Lịch sử dặt hàng-->
                <div class="account-right" ng-show="lichsu">
                    <button class="f-back"></button>
                    <h2 class="head-title">Lịch sử đơn hàng</h2>
                    <div class="account-content acc-history">
                        <div class="f-select">
                            Hiển thị đơn hàng trong
                            <select class="form-control">
                                <option value="-1">Tất cả</option>
                                <option value="1">1 Tháng</option>
                                <option value="2">2 Tháng</option>
                                <option value="3">3 Tháng</option>
                            </select>
                        </div>
                        <div class="table-responsive">
                            <table class="list-order">
                                <thead>
                                    <tr>
                                        <th>ID đơn hàng</th>
                                        <th>Ngày đặt</th>
                                        <th class="f-place">Nơi đặt</th>
                                        <th>Giờ nhận hàng</th>
                                        <th>Tổng cộng</th>
                                        <th>Trạng thái</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="item in AllLichSu">
                                        <td><a title="{{item.MaChungTuDatHang}}" href="" ng-click="getchitietlichsu(item)"> {{item.MaChungTuDatHang}}</a></td>
                                        <td>{{item.NgayChungTu| date:'dd/MM/yyyy'}}</td>
                                        <td>Trần Hưng Đạo</td>
                                        <td></td>
                                        <td> {{item.TongTienThanhToan|number}} đ</td>
                                        <td><span class="bg-processing">{{item.TenTrangThai}}</span></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <nav class="nav-pagination" style="display: none;">
                            <ul class="pagination pagination-list">
                                <li class="item prev disable"><a class="link" href="#"><span aria-hidden="true">‹</span></a></li>
                                <li class="item next disable"><a class="link" href="#"><span>›</span></a></li>
                            </ul>
                        </nav>
                    </div>
                </div>
                <!--Lịch sử dặt hàng-->
                <!--Chi tiết Lịch sử dặt hàng-->

                <div class="account-right" ng-show="chitietlichsu">
                    <button class="f-back"></button>
                    <h2 class="head-title">Chi tiết đơn hàng</h2>
                    <div class="account-content acc-history-detail">
                        <div class="g-status">
                            <div class="f-inner">
                                <div class="f-item success" ng-class="{'fail':x.MaTrangThai==4}" ng-repeat="x in Itemchitietdondathang.TrangThaiGiaoHang">
                                    <div class="f-img">
                                        <span>
                                            <img src="../../../Assets/apphome/images/icon-order.svg" alt="">
                                        </span>
                                    </div>
                                    <div class="f-title">{{x.TenTrangThai}}</div>
                                    <div class="f-date">
                                        <span class="time">{{x.NgayGio|date:'dd/MM/yyyy HH:mm:ss'}}</span>

                                    </div>
                                </div>

                                <!--<div class="f-item success" ng-show="ItemChiTietDon.TenTrangThai='Đã nhận đặt hàng, đang đợi xử lý'">
                                    <div class="f-img">
                                        <span>
                                            <img src="../../../Assets/apphome/images/icon-order.svg" alt="">
                                        </span>
                                    </div>
                                    <div class="f-title">Đang xử lý</div>
                                    <div class="f-date">
                                        <span class="time">{{Itemchitietdondathang.NgayGioDangXuLy| date:'HH:mm:ss'}}</span>
                                        <span class="date">{{Itemchitietdondathang.NgayGioDangXuLy| date:'dd/MM/yyyy'}}</span>
                                    </div>
                                </div>
                                <div class="f-item success" ng-show="ItemChiTietDon.DaNhanDon==true">
                                    <div class="f-img">
                                        <span>
                                            <img src="../../../Assets/apphome/images/order.svg" alt="">
                                        </span>
                                    </div>
                                    <div class="f-title">Đã nhận hàng</div>
                                    <div class="f-date">
                                        <span class="time">{{Itemchitietdondathang.NgayGioDaNhanDon| date:'HH:mm:ss'}}</span>
                                        <span class="date">{{Itemchitietdondathang.NgayGioDaNhanDon| date:'dd/MM/yyyy'}}</span>
                                    </div>
                                </div>
                                <div class="f-item success" ng-show="ItemChiTietDon.DangGiaoHang==true">
                                    <div class="f-img">
                                        <span>
                                            <img src="../../../Assets/apphome/images/shipped.svg" alt="">
                                        </span>
                                    </div>
                                    <div class="f-title">Đang giao hàng</div>
                                    <div class="f-date">
                                        <span class="time">{{Itemchitietdondathang.NgayGioDangGiaoHang| date:'HH:mm:ss'}}</span>
                                        <span class="date">{{Itemchitietdondathang.NgayGioDangGiaoHang| date:'dd/MM/yyyy'}}</span>
                                    </div>
                                </div>
                                <div class="f-item success" ng-show="ItemChiTietDon.DaNhanHang==true">
                                    <div class="f-img">
                                        <span>
                                            <img src="../../../Assets/apphome/images/parcel.svg" alt="">
                                        </span>
                                    </div>
                                    <div class="f-title">Đã giao hàng</div>
                                    <div class="f-date">
                                        <span class="time">{{Itemchitietdondathang.NgayGioDaNhanHang| date:'HH:mm:ss'}}</span>
                                        <span class="date">{{Itemchitietdondathang.NgayGioDaNhanHang| date:'dd/MM/yyyy'}}</span>
                                    </div>
                                </div>


                                <div class="f-item fail" ng-show="ItemChiTietDon.DaHuy==true">
                                    <div class="f-img">
                                        <span>
                                            <img src="../../../Assets/apphome/images/icon-cancel.svg" alt="">
                                        </span>
                                    </div>
                                    <div class="f-title">Đã huỷ</div>
                                    <div class="f-date">
                                        <span class="time">{{Itemchitietdondathang.NgayGioDaHuy| date:'HH:mm:ss'}}</span>
                                        <span class="date">{{Itemchitietdondathang.NgayGioDaHuy| date:'dd/MM/yyyy'}}</span>
                                    </div>
                                </div>-->
                            </div>
                        </div>
                        <div class="g-info">
                            <div class="f-left">
                                <div class="f-name">{{Itemchitietdondathang.FullName}}</div>
                                <div class="f-address">{{Itemchitietdondathang.Address}}</div>
                                <div class="f-phone"><strong>Điện thoại: </strong> {{Itemchitietdondathang.PhoneNumber}}</div>
                            </div>
                            <div class="f-right">
                                <div class="f-order">
                                    <div class="f-title">Mã đơn hàng:</div>
                                    <div class="f-text">{{Itemchitietdondathang.MaChungTuDatHang}}</div>
                                </div>
                                <div class="f-time">
                                    <div class="f-title">Thời gian đặt:</div>
                                    <div class="f-text">{{Itemchitietdondathang.NgayChungTu| date:'dd/MM/yyyy'}}</div>
                                </div>
                                <div class="f-payment">
                                    <div class="f-title">Hình thức thanh toán:</div>
                                    <div class="f-text">{{Itemchitietdondathang.TenHinhThucThanhToan}}</div>
                                </div>
                                <div class="f-store">
                                    <div class="f-title">Cửa hàng:</div>
                                    <div class="f-text"><a href="/account/order_detail" title="Trần Hưng Đạo">Trần Hưng Đạo</a></div>
                                </div>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table class="list-order-detail">
                                <thead>
                                    <tr>
                                        <th>Sản phẩm</th>
                                        <th>Số lượng</th>
                                        <th>Giá</th>
                                        <th class="f-sum">Thành tiền</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="item in AllHangHoaChiTiet">
                                        <td class="f-name">
                                            <div>
                                                <img ng-src="{{item.HinhAnh}}" alt="">
                                                {{item.TenHang}}
                                            </div>
                                        </td>
                                        <td class="f-number"><span> {{item.SoLuong}}</span></td>
                                        <td class="f-price"> {{item.DonGia|number}} đ </td>
                                        <td class="f-sum"> {{item.ThanhTien|number}} đ</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="g-sum">
                            <table>
                                <tbody>
                                    <tr>
                                        <td>Tổng cộng</td>
                                        <td>{{Itemchitietdondathang.TongTienThanhToan|number}} đ</td>
                                    </tr>
                                    <tr>
                                        <td>Phí giao hàng</td>
                                        <td>0đ</td>
                                    </tr>

                                    <tr>
                                        <td>Mã coupon</td>
                                        <td>0đ</td>
                                    </tr>
                                    <tr>
                                        <td>Thành tiền</td>
                                        <td class="red">{{Itemchitietdondathang.TongTienThanhToan|number}} đ</td>
                                    </tr>
                                </tbody>
                            </table>

                            <div ng-click="huydonhang(Itemchitietdondathang);changeMenu('orders_history')" ng-show="Itemchitietdondathang.MaTinhTrang==1" class="group-btn"><a style="color:#fff;margin-top:30%" title="Hủy đơn hàng" class="btn btn-danger btn-back">Hủy đơn hàng</a></div>
                        </div>
                        <div class="group-btn"><a style="color:#fff" title="Quay lại đơn hàng của tôi" class="btn btn-primary btn-back" ng-click="changeMenu('orders_history')">← Quay lại đơn hàng của tôi</a></div>
                    </div>
                </div>
                <!--Chi tiết Lịch sử dặt hàng-->





            </div>
        </div>


    </main>
</div>



